<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (1.8.0_152) on Tue Dec 04 18:10:19 CST 2018 -->
<title>Uses of Class projectx.engine.managers.entities.Entity</title>
<meta name="date" content="2018-12-04">
<link rel="stylesheet" type="text/css" href="../../../../../stylesheet.css" title="Style">
<script type="text/javascript" src="../../../../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="Uses of Class projectx.engine.managers.entities.Entity";
        }
    }
    catch(err) {
    }
//-->
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../overview-summary.html">Overview</a></li>
<li><a href="../package-summary.html">Package</a></li>
<li><a href="../../../../../projectx/engine/managers/entities/Entity.html" title="class in projectx.engine.managers.entities">Class</a></li>
<li class="navBarCell1Rev">Use</li>
<li><a href="../package-tree.html">Tree</a></li>
<li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../index-files/index-1.html">Index</a></li>
<li><a href="../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li>Prev</li>
<li>Next</li>
</ul>
<ul class="navList">
<li><a href="../../../../../index.html?projectx/engine/managers/entities/class-use/Entity.html" target="_top">Frames</a></li>
<li><a href="Entity.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<a name="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<div class="header">
<h2 title="Uses of Class projectx.engine.managers.entities.Entity" class="title">Uses of Class<br>projectx.engine.managers.entities.Entity</h2>
</div>
<div class="classUseContainer">
<ul class="blockList">
<li class="blockList">
<table class="useSummary" border="0" cellpadding="3" cellspacing="0" summary="Use table, listing packages, and an explanation">
<caption><span>Packages that use <a href="../../../../../projectx/engine/managers/entities/Entity.html" title="class in projectx.engine.managers.entities">Entity</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Package</th>
<th class="colLast" scope="col">Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><a href="#projectx.engine.controls.ai">projectx.engine.controls.ai</a></td>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a href="#projectx.engine.glgfx">projectx.engine.glgfx</a></td>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><a href="#projectx.engine.managers.entities">projectx.engine.managers.entities</a></td>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a href="#projectx.engine.managers.entities.creatures">projectx.engine.managers.entities.creatures</a></td>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><a href="#projectx.engine.managers.entities.nonmoving">projectx.engine.managers.entities.nonmoving</a></td>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a href="#projectx.engine.managers.entities.objects">projectx.engine.managers.entities.objects</a></td>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><a href="#projectx.engine.utils">projectx.engine.utils</a></td>
<td class="colLast">&nbsp;</td>
</tr>
</tbody>
</table>
</li>
<li class="blockList">
<ul class="blockList">
<li class="blockList"><a name="projectx.engine.controls.ai">
<!--   -->
</a>
<h3>Uses of <a href="../../../../../projectx/engine/managers/entities/Entity.html" title="class in projectx.engine.managers.entities">Entity</a> in <a href="../../../../../projectx/engine/controls/ai/package-summary.html">projectx.engine.controls.ai</a></h3>
<table class="useSummary" border="0" cellpadding="3" cellspacing="0" summary="Use table, listing methods, and an explanation">
<caption><span>Methods in <a href="../../../../../projectx/engine/controls/ai/package-summary.html">projectx.engine.controls.ai</a> with parameters of type <a href="../../../../../projectx/engine/managers/entities/Entity.html" title="class in projectx.engine.managers.entities">Entity</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><code>boolean</code></td>
<td class="colLast"><span class="typeNameLabel">AI.</span><code><span class="memberNameLink"><a href="../../../../../projectx/engine/controls/ai/AI.html#isAlive-projectx.engine.managers.entities.Entity-">isAlive</a></span>(<a href="../../../../../projectx/engine/managers/entities/Entity.html" title="class in projectx.engine.managers.entities">Entity</a>&nbsp;entity)</code>
<div class="block">This checks if the Entity is alive.</div>
</td>
</tr>
</tbody>
</table>
</li>
<li class="blockList"><a name="projectx.engine.glgfx">
<!--   -->
</a>
<h3>Uses of <a href="../../../../../projectx/engine/managers/entities/Entity.html" title="class in projectx.engine.managers.entities">Entity</a> in <a href="../../../../../projectx/engine/glgfx/package-summary.html">projectx.engine.glgfx</a></h3>
<table class="useSummary" border="0" cellpadding="3" cellspacing="0" summary="Use table, listing methods, and an explanation">
<caption><span>Methods in <a href="../../../../../projectx/engine/glgfx/package-summary.html">projectx.engine.glgfx</a> with parameters of type <a href="../../../../../projectx/engine/managers/entities/Entity.html" title="class in projectx.engine.managers.entities">Entity</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><span class="typeNameLabel">GameCamera.</span><code><span class="memberNameLink"><a href="../../../../../projectx/engine/glgfx/GameCamera.html#centerOnEntity-projectx.engine.managers.entities.Entity-">centerOnEntity</a></span>(<a href="../../../../../projectx/engine/managers/entities/Entity.html" title="class in projectx.engine.managers.entities">Entity</a>&nbsp;e)</code>
<div class="block">This method centers the game camera on a particular entity.</div>
</td>
</tr>
</tbody>
</table>
</li>
<li class="blockList"><a name="projectx.engine.managers.entities">
<!--   -->
</a>
<h3>Uses of <a href="../../../../../projectx/engine/managers/entities/Entity.html" title="class in projectx.engine.managers.entities">Entity</a> in <a href="../../../../../projectx/engine/managers/entities/package-summary.html">projectx.engine.managers.entities</a></h3>
<table class="useSummary" border="0" cellpadding="3" cellspacing="0" summary="Use table, listing methods, and an explanation">
<caption><span>Methods in <a href="../../../../../projectx/engine/managers/entities/package-summary.html">projectx.engine.managers.entities</a> that return types with arguments of type <a href="../../../../../projectx/engine/managers/entities/Entity.html" title="class in projectx.engine.managers.entities">Entity</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><code><a href="https://docs.oracle.com/javase/8/docs/api/java/util/ArrayList.html?is-external=true" title="class or interface in java.util">ArrayList</a>&lt;<a href="../../../../../projectx/engine/managers/entities/Entity.html" title="class in projectx.engine.managers.entities">Entity</a>&gt;</code></td>
<td class="colLast"><span class="typeNameLabel">EntityManager.</span><code><span class="memberNameLink"><a href="../../../../../projectx/engine/managers/entities/EntityManager.html#getEntities--">getEntities</a></span>()</code>&nbsp;</td>
</tr>
</tbody>
</table>
<table class="useSummary" border="0" cellpadding="3" cellspacing="0" summary="Use table, listing methods, and an explanation">
<caption><span>Method parameters in <a href="../../../../../projectx/engine/managers/entities/package-summary.html">projectx.engine.managers.entities</a> with type arguments of type <a href="../../../../../projectx/engine/managers/entities/Entity.html" title="class in projectx.engine.managers.entities">Entity</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><span class="typeNameLabel">EntityManager.</span><code><span class="memberNameLink"><a href="../../../../../projectx/engine/managers/entities/EntityManager.html#setEntities-java.util.ArrayList-">setEntities</a></span>(<a href="https://docs.oracle.com/javase/8/docs/api/java/util/ArrayList.html?is-external=true" title="class or interface in java.util">ArrayList</a>&lt;<a href="../../../../../projectx/engine/managers/entities/Entity.html" title="class in projectx.engine.managers.entities">Entity</a>&gt;&nbsp;entities)</code>&nbsp;</td>
</tr>
</tbody>
</table>
</li>
<li class="blockList"><a name="projectx.engine.managers.entities.creatures">
<!--   -->
</a>
<h3>Uses of <a href="../../../../../projectx/engine/managers/entities/Entity.html" title="class in projectx.engine.managers.entities">Entity</a> in <a href="../../../../../projectx/engine/managers/entities/creatures/package-summary.html">projectx.engine.managers.entities.creatures</a></h3>
<table class="useSummary" border="0" cellpadding="3" cellspacing="0" summary="Use table, listing subclasses, and an explanation">
<caption><span>Subclasses of <a href="../../../../../projectx/engine/managers/entities/Entity.html" title="class in projectx.engine.managers.entities">Entity</a> in <a href="../../../../../projectx/engine/managers/entities/creatures/package-summary.html">projectx.engine.managers.entities.creatures</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Class and Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><code>class&nbsp;</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../projectx/engine/managers/entities/creatures/Creature.html" title="class in projectx.engine.managers.entities.creatures">Creature</a></span></code>
<div class="block">This class is a template for all creatures and creature used methods.</div>
</td>
</tr>
</tbody>
</table>
</li>
<li class="blockList"><a name="projectx.engine.managers.entities.nonmoving">
<!--   -->
</a>
<h3>Uses of <a href="../../../../../projectx/engine/managers/entities/Entity.html" title="class in projectx.engine.managers.entities">Entity</a> in <a href="../../../../../projectx/engine/managers/entities/nonmoving/package-summary.html">projectx.engine.managers.entities.nonmoving</a></h3>
<table class="useSummary" border="0" cellpadding="3" cellspacing="0" summary="Use table, listing subclasses, and an explanation">
<caption><span>Subclasses of <a href="../../../../../projectx/engine/managers/entities/Entity.html" title="class in projectx.engine.managers.entities">Entity</a> in <a href="../../../../../projectx/engine/managers/entities/nonmoving/package-summary.html">projectx.engine.managers.entities.nonmoving</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Class and Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><code>class&nbsp;</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../projectx/engine/managers/entities/nonmoving/Nonmoving.html" title="class in projectx.engine.managers.entities.nonmoving">Nonmoving</a></span></code>
<div class="block">This class is a template for all static entities</div>
</td>
</tr>
</tbody>
</table>
</li>
<li class="blockList"><a name="projectx.engine.managers.entities.objects">
<!--   -->
</a>
<h3>Uses of <a href="../../../../../projectx/engine/managers/entities/Entity.html" title="class in projectx.engine.managers.entities">Entity</a> in <a href="../../../../../projectx/engine/managers/entities/objects/package-summary.html">projectx.engine.managers.entities.objects</a></h3>
<table class="useSummary" border="0" cellpadding="3" cellspacing="0" summary="Use table, listing subclasses, and an explanation">
<caption><span>Subclasses of <a href="../../../../../projectx/engine/managers/entities/Entity.html" title="class in projectx.engine.managers.entities">Entity</a> in <a href="../../../../../projectx/engine/managers/entities/objects/package-summary.html">projectx.engine.managers.entities.objects</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Class and Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><code>class&nbsp;</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../projectx/engine/managers/entities/objects/Objects.html" title="class in projectx.engine.managers.entities.objects">Objects</a></span></code>
<div class="block">This class is a template for all static entities</div>
</td>
</tr>
</tbody>
</table>
</li>
<li class="blockList"><a name="projectx.engine.utils">
<!--   -->
</a>
<h3>Uses of <a href="../../../../../projectx/engine/managers/entities/Entity.html" title="class in projectx.engine.managers.entities">Entity</a> in <a href="../../../../../projectx/engine/utils/package-summary.html">projectx.engine.utils</a></h3>
<table class="useSummary" border="0" cellpadding="3" cellspacing="0" summary="Use table, listing methods, and an explanation">
<caption><span>Methods in <a href="../../../../../projectx/engine/utils/package-summary.html">projectx.engine.utils</a> that return types with arguments of type <a href="../../../../../projectx/engine/managers/entities/Entity.html" title="class in projectx.engine.managers.entities">Entity</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><code><a href="https://docs.oracle.com/javase/8/docs/api/java/util/ArrayList.html?is-external=true" title="class or interface in java.util">ArrayList</a>&lt;<a href="../../../../../projectx/engine/managers/entities/Entity.html" title="class in projectx.engine.managers.entities">Entity</a>&gt;</code></td>
<td class="colLast"><span class="typeNameLabel">MergeSort.</span><code><span class="memberNameLink"><a href="../../../../../projectx/engine/utils/MergeSort.html#mergeSort-java.util.ArrayList-">mergeSort</a></span>(<a href="https://docs.oracle.com/javase/8/docs/api/java/util/ArrayList.html?is-external=true" title="class or interface in java.util">ArrayList</a>&lt;<a href="../../../../../projectx/engine/managers/entities/Entity.html" title="class in projectx.engine.managers.entities">Entity</a>&gt;&nbsp;whole)</code>&nbsp;</td>
</tr>
</tbody>
</table>
<table class="useSummary" border="0" cellpadding="3" cellspacing="0" summary="Use table, listing methods, and an explanation">
<caption><span>Method parameters in <a href="../../../../../projectx/engine/utils/package-summary.html">projectx.engine.utils</a> with type arguments of type <a href="../../../../../projectx/engine/managers/entities/Entity.html" title="class in projectx.engine.managers.entities">Entity</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><code><a href="https://docs.oracle.com/javase/8/docs/api/java/util/ArrayList.html?is-external=true" title="class or interface in java.util">ArrayList</a>&lt;<a href="../../../../../projectx/engine/managers/entities/Entity.html" title="class in projectx.engine.managers.entities">Entity</a>&gt;</code></td>
<td class="colLast"><span class="typeNameLabel">MergeSort.</span><code><span class="memberNameLink"><a href="../../../../../projectx/engine/utils/MergeSort.html#mergeSort-java.util.ArrayList-">mergeSort</a></span>(<a href="https://docs.oracle.com/javase/8/docs/api/java/util/ArrayList.html?is-external=true" title="class or interface in java.util">ArrayList</a>&lt;<a href="../../../../../projectx/engine/managers/entities/Entity.html" title="class in projectx.engine.managers.entities">Entity</a>&gt;&nbsp;whole)</code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><span class="typeNameLabel">MergeSort.</span><code><span class="memberNameLink"><a href="../../../../../projectx/engine/utils/MergeSort.html#start-java.util.ArrayList-">start</a></span>(<a href="https://docs.oracle.com/javase/8/docs/api/java/util/ArrayList.html?is-external=true" title="class or interface in java.util">ArrayList</a>&lt;<a href="../../../../../projectx/engine/managers/entities/Entity.html" title="class in projectx.engine.managers.entities">Entity</a>&gt;&nbsp;input)</code>&nbsp;</td>
</tr>
</tbody>
</table>
</li>
</ul>
</li>
</ul>
</div>
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../overview-summary.html">Overview</a></li>
<li><a href="../package-summary.html">Package</a></li>
<li><a href="../../../../../projectx/engine/managers/entities/Entity.html" title="class in projectx.engine.managers.entities">Class</a></li>
<li class="navBarCell1Rev">Use</li>
<li><a href="../package-tree.html">Tree</a></li>
<li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../index-files/index-1.html">Index</a></li>
<li><a href="../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li>Prev</li>
<li>Next</li>
</ul>
<ul class="navList">
<li><a href="../../../../../index.html?projectx/engine/managers/entities/class-use/Entity.html" target="_top">Frames</a></li>
<li><a href="Entity.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<a name="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</body>
</html>
